Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.metaclass
[Java] Class OwnedMetaClass

    java.lang.Object
      groovy.lang.DelegatingMetaClass
          org.codehaus.groovy.runtime.metaclass.OwnedMetaClass

    public abstract class OwnedMetaClass
    extends DelegatingMetaClass

Authors:
  Alex Tkachman

Field Summary

Fields inherited from class DelegatingMetaClass
delegate

Constructor Summary
`OwnedMetaClass(MetaClass delegate)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.Object` | `getAttribute(java.lang.Object object, java.lang.String attribute)`
`java.lang.Object` | `getAttribute(java.lang.Class sender, java.lang.Object receiver, java.lang.String messageName, boolean useSuper)`
`ClassNode` | `getClassNode()`
`MetaMethod` | `getMetaMethod(java.lang.String name, java.lang.Object[] args)`
`MetaMethod` | `getMetaMethod(java.lang.String name, java.lang.Class[] argTypes)`
`java.util.List` | `getMetaMethods()`
`MetaProperty` | `getMetaProperty(java.lang.String name)`
`java.util.List` | `getMethods()`
`protected java.lang.Object` | `getOwner()`
`protected MetaClass` | `getOwnerMetaClass(java.lang.Object owner)`
`java.util.List` | `getProperties()`
`java.lang.Object` | `getProperty(java.lang.Object object, java.lang.String property)`
`java.lang.Object` | `getProperty(java.lang.Class sender, java.lang.Object receiver, java.lang.String messageName, boolean useSuper, boolean fromInsideClass)`
`MetaMethod` | `getStaticMetaMethod(java.lang.String name, java.lang.Object[] args)`
`MetaMethod` | `getStaticMetaMethod(java.lang.String name, java.lang.Class[] argTypes)`
`java.lang.Class` | `getTheClass()`
`MetaProperty` | `hasProperty(java.lang.Object obj, java.lang.String name)`
`int` | `hashCode()`
`java.lang.Object` | `invokeConstructor(java.lang.Object[] arguments)`
`java.lang.Object` | `invokeMethod(java.lang.Object object, java.lang.String methodName, java.lang.Object arguments)`
`java.lang.Object` | `invokeMethod(java.lang.Object object, java.lang.String methodName, java.lang.Object[] arguments)`
`java.lang.Object` | `invokeMethod(java.lang.Class sender, java.lang.Object receiver, java.lang.String methodName, java.lang.Object[] arguments, boolean isCallToSuper, boolean fromInsideClass)`
`java.lang.Object` | `invokeMissingMethod(java.lang.Object instance, java.lang.String methodName, java.lang.Object[] arguments)`
`java.lang.Object` | `invokeMissingProperty(java.lang.Object instance, java.lang.String propertyName, java.lang.Object optionalValue, boolean isGetter)`
`java.lang.Object` | `invokeStaticMethod(java.lang.Object object, java.lang.String methodName, java.lang.Object[] arguments)`
`boolean` | `isGroovyObject()`
`java.util.List` | `respondsTo(java.lang.Object obj, java.lang.String name, java.lang.Object[] argTypes)`
`java.util.List` | `respondsTo(java.lang.Object obj, java.lang.String name)`
`int` | `selectConstructorAndTransformArguments(int numberOfConstructors, java.lang.Object[] arguments)`
`void` | `setAttribute(java.lang.Object object, java.lang.String attribute, java.lang.Object newValue)`
`void` | `setAttribute(java.lang.Class sender, java.lang.Object receiver, java.lang.String messageName, java.lang.Object messageValue, boolean useSuper, boolean fromInsideClass)`
`void` | `setProperty(java.lang.Object object, java.lang.String property, java.lang.Object newValue)`
`void` | `setProperty(java.lang.Class sender, java.lang.Object receiver, java.lang.String messageName, java.lang.Object messageValue, boolean useSuper, boolean fromInsideClass)`
`java.lang.String` | `toString()`

Methods inherited from class DelegatingMetaClass
addMetaBeanProperty, addMetaMethod, addNewInstanceMethod, addNewStaticMethod, equals, getAdaptee, getAttribute, getAttribute, getClassNode, getMetaClass, getMetaMethod, getMetaMethods, getMetaProperty, getMethods, getProperties, getProperty, getProperty, getProperty, getStaticMetaMethod, getStaticMetaMethod, getTheClass, hasProperty, hashCode, initialize, invokeConstructor, invokeMethod, invokeMethod, invokeMethod, invokeMethod, invokeMissingMethod, invokeMissingProperty, invokeStaticMethod, isGroovyObject, isModified, pickMethod, respondsTo, respondsTo, selectConstructorAndTransformArguments, setAdaptee, setAttribute, setAttribute, setMetaClass, setProperty, setProperty, setProperty, toString

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### OwnedMetaClass

    public OwnedMetaClass(MetaClass delegate)

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

### getAttribute

    public java.lang.Object getAttribute(java.lang.Object object, java.lang.String attribute)

### getAttribute

    public java.lang.Object getAttribute(java.lang.Class sender, java.lang.Object receiver, java.lang.String messageName, boolean useSuper)

### getClassNode

    public ClassNode getClassNode()

### getMetaMethod

    public MetaMethod getMetaMethod(java.lang.String name, java.lang.Object[] args)

### getMetaMethod

    public MetaMethod getMetaMethod(java.lang.String name, java.lang.Class[] argTypes)

### getMetaMethods

    public java.util.List getMetaMethods()

### getMetaProperty

    public MetaProperty getMetaProperty(java.lang.String name)

### getMethods

    @Override
    public java.util.List getMethods()

### getOwner

    protected java.lang.Object getOwner()

### getOwnerMetaClass

    protected MetaClass getOwnerMetaClass(java.lang.Object owner)

### getProperties

    public java.util.List getProperties()

### getProperty

    public java.lang.Object getProperty(java.lang.Object object, java.lang.String property)

### getProperty

    public java.lang.Object getProperty(java.lang.Class sender, java.lang.Object receiver, java.lang.String messageName, boolean useSuper, boolean fromInsideClass)

### getStaticMetaMethod

    public MetaMethod getStaticMetaMethod(java.lang.String name, java.lang.Object[] args)

### getStaticMetaMethod

    public MetaMethod getStaticMetaMethod(java.lang.String name, java.lang.Class[] argTypes)

### getTheClass

    public java.lang.Class getTheClass()

### hasProperty

    public MetaProperty hasProperty(java.lang.Object obj, java.lang.String name)

### hashCode

    public int hashCode()

### invokeConstructor

    public java.lang.Object invokeConstructor(java.lang.Object[] arguments)

### invokeMethod

    public java.lang.Object invokeMethod(java.lang.Object object, java.lang.String methodName, java.lang.Object arguments)

### invokeMethod

    public java.lang.Object invokeMethod(java.lang.Object object, java.lang.String methodName, java.lang.Object[] arguments)

### invokeMethod

    public java.lang.Object invokeMethod(java.lang.Class sender, java.lang.Object receiver, java.lang.String methodName, java.lang.Object[] arguments, boolean isCallToSuper, boolean fromInsideClass)

### invokeMissingMethod

    public java.lang.Object invokeMissingMethod(java.lang.Object instance, java.lang.String methodName, java.lang.Object[] arguments)

### invokeMissingProperty

    public java.lang.Object invokeMissingProperty(java.lang.Object instance, java.lang.String propertyName, java.lang.Object optionalValue, boolean isGetter)

### invokeStaticMethod

    public java.lang.Object invokeStaticMethod(java.lang.Object object, java.lang.String methodName, java.lang.Object[] arguments)

### isGroovyObject

    public boolean isGroovyObject()

### respondsTo

    public java.util.List respondsTo(java.lang.Object obj, java.lang.String name, java.lang.Object[] argTypes)

### respondsTo

    public java.util.List respondsTo(java.lang.Object obj, java.lang.String name)

### selectConstructorAndTransformArguments

    public int selectConstructorAndTransformArguments(int numberOfConstructors, java.lang.Object[] arguments)

### setAttribute

    public void setAttribute(java.lang.Object object, java.lang.String attribute, java.lang.Object newValue)

### setAttribute

    public void setAttribute(java.lang.Class sender, java.lang.Object receiver, java.lang.String messageName, java.lang.Object messageValue, boolean useSuper, boolean fromInsideClass)

### setProperty

    public void setProperty(java.lang.Object object, java.lang.String property, java.lang.Object newValue)

### setProperty

    public void setProperty(java.lang.Class sender, java.lang.Object receiver, java.lang.String messageName, java.lang.Object messageValue, boolean useSuper, boolean fromInsideClass)

### toString

    public java.lang.String toString()

Groovy Documentation